Gelöst: Vpn Manager Linux Mint 17.6 funktioniert nicht!

Discussion in 'Linux' started by harterkern88, Mar 21, 2019.

  1. h

    harterkern88 New Member

    Hallo!

    Seit heute kann ich mich nicht mehr mit Servern verbinden. Irgendwas scheint den VPN zu blockieren. Der Button bleibt auf Disconnect stehen. Im Log steht folgendes:

    [2019-03-21 19:14:25] NOTE: the current --script-security setting may allow this configuration to call user-defined scripts
    [2019-03-21 19:14:25] WARNING: file 'Berlin_cl.key' is group or others accessible
    [2019-03-21 19:14:25] Cipher algorithm 'AES-256-GCM' not found (OpenSSL)

    Ich hab mein System auf dem neusten Stand geupdatet, den PP Manager deinstalliert und einen älteren Kernel geladen. Dennoch kann ich mich nicht mehr verbinden. Ich vermute, dass irgendein Update von Mint daran Schuld sein wird, da gestern noch alles funktioniert hat. Falls jemand ne Idee hat, kann er sich gerne melden :)

    Hier noch eine Auflistung der letzten Updates. https://ibb.co/jf08B5n
     
    Last edited: Mar 21, 2019
    horst likes this.
  2. h

    horst New Member

    Gleiches Problem bei mir. Bin mir fast sicher, dass es nach dem letzten pp update gestern abend nicht mehr ging. Version 1.3.14, config version 1553016411.

    aes-256-gcm ist jedenfalls installiert. "openssl speed -elapsed -evp aes-256-gcm" ergibt folgenden output:
    You have chosen to measure elapsed time instead of user CPU time.
    Doing aes-256-gcm for 3s on 16 size blocks: 38249404 aes-256-gcm's in 3.00s
    Doing aes-256-gcm for 3s on 64 size blocks: 24338298 aes-256-gcm's in 3.00s
    Doing aes-256-gcm for 3s on 256 size blocks: 12205013 aes-256-gcm's in 3.00s
    Doing aes-256-gcm for 3s on 1024 size blocks: 3586888 aes-256-gcm's in 3.00s
    Doing aes-256-gcm for 3s on 8192 size blocks: 501014 aes-256-gcm's in 3.00s
    OpenSSL 1.0.2g 1 Mar 2016

    openvpn version 2.3.10
    linux mint

    Hilfe. Bitte Hilfe.
     
  3. h

    harterkern88 New Member

    @horst du hast eine PN! Ich hab es mittlerweile wieder zum Laufen bekommen. Vielen Dank an den netten PP Mitarbeiter, der mir über Email so schnell helfen konnte!
     
    horst likes this.
  4. PP Lars

    PP Lars Staff Member

    Hrm.
    Ok, da scheinen ja noch einigen alte OpenSSL Versionen im umlauf zu sein. Schade. :(

    Eine Möglichkeit, das Problem vorrübergehend zu beheben, wäre, die .ovpn-Dateien manuell anzupassen.

    Diese liegen in /usr/share/perfect_privacy_vpn/openvpn_configs/, je nach Einstellung lauten die Dateinamen dort z.B. udp_Basel.ovpn, udp_single_Basel1.ovpn.

    In der Datei muss die Option "cipher AES-256-GCM" durch "cipher AES-256-CBC" ersetzt und der VPN Manager neugestartet werden.

    Ich schieb ein config update rum, nehmt es mir aber nicht übel wenn ich das erst Montag morgen mache und nicht am Samstag Abend ein Live Deployment anschmeisse ;)

    Grüße
    Lars
     
    horst likes this.
  5. h

    horst New Member

    Seit dem letzten pp update wieder alles bestens - vielen Dank. Ebenso Dank an @harterkern88 und das pp Team für die Soforthilfe. :)
     
  1. This site uses cookies to help personalise content, tailor your experience and to keep you logged in if you register.
    By continuing to use this site, you are consenting to our use of cookies.
    Dismiss Notice